airspy_si5351c(1)

NAME
airspy_si5351c - chip register read/write tool

DESCRIPTION
The Airspy is a tiny and efficient software defined radio receiver.

This application lets the user control the si5351c chip.

SYNOPSIS
airspy_si5351c [OPTIONS]

OPTIONS

-c, --config <n>: print textual configuration information

-n, --register <n>: set register number for subsequent read/write operations

-r, --read: read register specified by last -n argument, or all registers

-w, --write <v>: write register specified by last -n argument with value <v>

[-s serial_number_64bits]: Open board with specified 64bits serial number.

EXAMPLES

airspy_si5351c -n 12 -r # reads from register 12

airspy_si5351c -r # reads all registers

airspy_si5351c -n 10 -w 22 # writes register 10 with 22 decimal

SEE ALSO
Airspy web page: http://airspy.com/

Other airspy programs:

airspy_r820t(1), airspy_info(1), airspy_rx(1), airspy_spiflash(1), airspy_gpio(1), airspy_gpiodir(1), airspy_lib_version(1)

AUTHOR
This manual page was written by Maitland Bottoms for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2014-2015 A. Maitland Bottoms <bottoms@debian.org>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.